## tdeio-umountwrapper-trinity 14.0.11

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8.12 )


#### general package setup

project( tdeio_umountwrapper )
set( VERSION R14.0.11 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL "Build all" ON )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

tde_conditional_add_subdirectory( BUILD_ALL src )


##### other data ################################

tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## tdeio-umountwrapper-trinity 14.0.4

=== debian/changelog ===
tdeio-umountwrapper-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:57:58 +0200

tdeio-umountwrapper-trinity (0.2-1ubuntu3) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 Jul 2009 16:08:00 -0600

tdeio-umountwrapper-trinity (0.2-1ubuntu2) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 05 March 2009 29:52:00 -0600

tdeio-umountwrapper-trinity (0.2-0ubuntu3) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 31 Dec 2008 14:46:00 -0600

kio-umountwrapper (0.2-0ubuntu6.2) hardy-proposed; urgency=low

  * Fix syntax in postrm

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 27 Aug 2008 00:00:03 +0100

kio-umountwrapper (0.2-0ubuntu6.1) hardy-proposed; urgency=low

  * debian/preinst, debian/postrm: make sure than the directories used by
    dpkg-divert exist

 -- Gauvain Pocentek <gauvain@ulteo.com>  Sun, 29 Jun 2008 11:06:10 +0200

kio-umountwrapper (0.2-0ubuntu6) hardy; urgency=low

  * Update from Jan Klötzke to also support encrypted removable drives
    correctly, closes LP: #186841

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Feb 2008 16:04:46 +0000

kio-umountwrapper (0.2-0ubuntu5) hardy; urgency=low

  * Do not try to divert /usr/../dolphin/../media_safelyremove.desktop,
    since dolphin doesn't install that anymore. (LP: #183292)

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Mon, 28 Jan 2008 13:28:39 +0200

kio-umountwrapper (0.2-0ubuntu4) hardy; urgency=low

  * Fix build failure with g++-4.3.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Jan 2008 09:44:46 +0000

kio-umountwrapper (0.2-0ubuntu3) gutsy; urgency=low

  * Add kdepot patch for translations.
  * Change maintainer to Ubuntu Core Dev.

 -- Frode M. DÃ¸ving <frode@ubuntu.com>  Mon, 23 Jul 2007 00:00:21 +0200

kio-umountwrapper (0.2-0ubuntu2) gutsy; urgency=low

  * Add d3lphin support, as the dolphin package in gutsy is actually patched
    to become d3lphin. 

 -- Frode M. Døving <frode@ubuntu.com>  Sun, 22 Jul 2007 22:40:54 +0200

kio-umountwrapper (0.2-0ubuntu1) gutsy; urgency=low

  * Initial release.

 -- Frode M. Døving <frode@ubuntu.com>  Thu, 31 May 2007 14:05:33 +0200

=== debian/control ===
Source: tdeio-umountwrapper-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, tdelibs14-trinity-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: tdeio-umountwrapper-trinity
Architecture: any
Depends: ${shlibs:Depends}
Replaces: kio-umountwrapper-kde3 (<< 4:14.0.0~), kio-umountwrapper-trinity (<< 4:14.0.0~)
Breaks: kio-umountwrapper-kde3 (<< 4:14.0.0~), kio-umountwrapper-trinity (<< 4:14.0.0~)
Description: progress dialog for safely removing devices in Trinity.
 Wrapper around tdeio_media_mountwrapper.
 Provides a progress dialog for Safely Removing of devices in Trinity.
 .
  Homepage: http://frode.kde.no/misc/tdeio_umountwrapper/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include debian/cdbs/kde.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include/tde

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

common-post-build-arch::
	XGETTEXT=/usr/bin/kde-xgettext sh admin/cvs.sh extract-messages

install/tdeio-umountwrapper-trinity::
	mkdir -p $(CURDIR)/debian/tdeio-umountwrapper-trinity/opt/trinity/share/apps/konqueror/servicemenus/
	cp $(CURDIR)/debian/media_safelyremove.desktop \
		$(CURDIR)/debian/tdeio-umountwrapper-trinity/opt/trinity/share/apps/konqueror/servicemenus/

	mkdir -p $(CURDIR)/debian/tdeio-umountwrapper-trinity/opt/trinity/share/apps/dolphin/servicemenus/
	cp $(CURDIR)/debian/media_safelyremove.desktop \
		$(CURDIR)/debian/tdeio-umountwrapper-trinity/opt/trinity/share/apps/dolphin/servicemenus/

	mkdir -p $(CURDIR)/debian/tdeio-umountwrapper-trinity/opt/trinity/share/apps/d3lphin/servicemenus/
	cp $(CURDIR)/debian/media_safelyremove.desktop \
		$(CURDIR)/debian/tdeio-umountwrapper-trinity/opt/trinity/share/apps/d3lphin/servicemenus/
clean::
	rm -rf $(CURDIR)/debian/tdeio-umountwrapper-trinity/opt/trinity/share/apps/
	rm -f po/*.pot

## tdeio-umountwrapper-trinity 14.0.5

=== debian/changelog ===
tdeio-umountwrapper-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 08:46:31 +0200

## tdeio-umountwrapper-trinity 14.0.6

=== debian/changelog ===
tdeio-umountwrapper-trinity (4:14.0.6-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 02:47:38 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, tdelibs14-trinity-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, cmake, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: tdeio-umountwrapper-trinity

## tdeio-umountwrapper-trinity 14.0.8

=== debian/changelog ===
tdeio-umountwrapper-trinity (4:14.0.8-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:07:51 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, cmake, tdelibs14-trinity-dev
+Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: tdeio-umountwrapper-trinity

## tdeio-umountwrapper-trinity 14.0.9

=== debian/changelog ===
tdeio-umountwrapper-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 11 Oct 2020 22:37:39 +0200

## tdeio-umountwrapper-trinity 14.0.10

=== debian/changelog ===
tdeio-umountwrapper-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: tdeio-umountwrapper-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev
 Standards-Version: 3.8.4

## tdeio-umountwrapper-trinity 14.0.11

=== debian/changelog ===
tdeio-umountwrapper-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tdeio-umountwrapper

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 21 Oct 2021 13:21:28 +0200

## tdeio-umountwrapper-trinity 14.0.12

=== debian/changelog ===
tdeio-umountwrapper-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#tdeio-umountwrapper

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:50 +0100

## tdeio-umountwrapper-trinity 14.0.13

=== debian/changelog ===
tdeio-umountwrapper-trinity (4:14.0.13-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tdeio-umountwrapper

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 26 Jun 2022 07:14:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: tdeio-umountwrapper-trinity

## tdeio-umountwrapper-trinity 14.1.0

=== debian/changelog ===
tdeio-umountwrapper-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tdeio-umountwrapper

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## tdeio-umountwrapper-trinity 14.1.1

=== debian/changelog ===
tdeio-umountwrapper-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tdeio-umountwrapper

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 25 Jul 2023 06:24:18 +0200

## tdeio-umountwrapper-trinity 14.1.2

=== debian/changelog ===
tdeio-umountwrapper-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tdeio-umountwrapper

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 27 Mar 2024 23:11:57 +0100

## tdeio-umountwrapper-trinity 14.1.3

=== debian/changelog ===
tdeio-umountwrapper-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tdeio-umountwrapper

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 05 Oct 2024 23:41:45 +0200

## tdeio-umountwrapper-trinity 14.1.4

=== debian/changelog ===
tdeio-umountwrapper-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tdeio-umountwrapper

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## tdeio-umountwrapper-trinity 14.1.5~pre1

=== debian/changelog ===
tdeio-umountwrapper-trinity (4:14.1.5~pre1-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for ad338b5502b03aacc419b2467728402dc2cd2604
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdeio-umountwrapper

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdeio-umountwrapper-trinity 14.1.5

=== debian/changelog ===
tdeio-umountwrapper-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdeio-umountwrapper

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdeio-umountwrapper-trinity 14.1.6~pre0

=== debian/changelog ===
tdeio-umountwrapper-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for ad338b5502b03aacc419b2467728402dc2cd2604
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeio-umountwrapper

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdeio-umountwrapper-trinity 14.1.6~pre1

=== debian/changelog ===
tdeio-umountwrapper-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for ae8e6c18bdee91d092375d7141a2d215757f6e68
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdeio-umountwrapper

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:11:31 +0100

## tdeio-umountwrapper-trinity 14.2.0~pre20

=== debian/changelog ===
tdeio-umountwrapper-trinity (4:14.2.0~pre20-0ubuntu25.10.0+6) questing; urgency=low

  * Automated git build for 7b493c0a7972517b248797d15d5a8f69ad1523f4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeio-umountwrapper

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs14-trinity-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.8.4
 
 Package: tdeio-umountwrapper-trinity

## tdeio-umountwrapper-trinity 14.2.0~pre21

=== debian/changelog ===
tdeio-umountwrapper-trinity (4:14.2.0~pre21-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 642a68e8ecfa6c40329c1a939a73ca5261ac279d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdeio-umountwrapper

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:10:22 +0100
